MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000534VCMIMechanics - Objectspublic2010-07-13 13:242011-11-01 20:42
ReporterZamolxis 
Assigned ToTow 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.81 
Target VersionFixed in Version0.82 
Summary0000534: Cartographers work incorrectly again (can lead to crash)
DescriptionSee Cartographer Test map which was attached to 0000010. Visit the 2 cartographers under your hero at surface:
- The Underground Cartographer will reveal nothing.
- The Surface Cartographer will make even what's visible to disappear. If you try to move the hero in this case, the game crashes. No crashdump created, but it's always reproducible, so let me know if you need any extra files. The console message I get is: "Assertion failed: gotInfo, file CPlayerInterface.cpp, line 377"
- At the See Cartographer, I get the same as above, only when the came crashes, the console message mentions line 368.
TagsNo tags attached.
Attached Filesjpg file icon 2010-07-13_Cartographer.jpg [^] (134,973 bytes) 2010-07-13 13:24


? file icon  Cartographer+Test.h3m [^] (12,792 bytes) 2010-07-14 08:30
7z file icon 2010-07-13_CartographerIssue.7z [^] (198,079 bytes) 2010-07-14 08:31

- Relationships
related to 0000010closedTow Cartographers do not correctly reveal grounds. 

-  Notes
(0001107)
Tow (developer)
2010-07-14 02:42
edited on: 2010-07-14 02:43

Not reproducible.
Bug is related to drawing town infobox. You're using a different map than 0000010 - I can see town your screenshot, while 0000010 doesn't have any. Could you upload your map? Savegame also may be helpful.

(0001109)
Zamolxis (viewer)
2010-07-14 08:30
edited on: 2010-07-14 08:37

After a moment of frustration when I realized I also cannot reproduce it (while yesterday it happened 4 times in a row), I remembered yesterday I had also H3 open on the same map, so that may have had sth to do with it (and/or combined with going back to Main Manu to start/load the game). About the map difference, it can be I edited the map from 0000010 later on, by adding that town. I'm attaching here my version, together with saved games (before/after bug) and crashdump. There is also a file - ACREDIT.SMK - which seems to have been last updated in the minute the bug happened (couple of minutes before the crashdump was created, after I saved the game). I'm not sure if this is relevant. Let me know if I should ignore it or keep attaching it in similar future situations.

I managed to reproduce it today following these steps:
- Open map in VCMI, visit Cartographer (behaves ok)
- Open same map in H3 and visit a Cartographer
- Go back to VCMI and access Main Menu and load the saved Newgame_Autosave3 (attached here), then visit the Cartographer
(I'm not sure if first the Underground Cartographer, or directly the Surface Cartographer, further attempts to reproduce either failed to lead to the bug)
- When I had the bug happening again when visiting Surface Cartographer, I saved the game (attached above, but you'll see, it fails to load)
- After saving the game, the game crashed by itself, creating a crashdump file (also attached)

But I am obviously more puzzled on this as compared to yesterday, when I was able to reproduce it 3 more times in a row without a problem, regardless of which destination I chose as first (Underground/Surface/or/Sea Cartographer). For some reason it worked only once out of 4-5 attempts today. So I hope the map, saved games & crashdump attached will help you figure this out.

(0001136)
Tow (developer)
2010-07-20 09:20

I've looked into the code and noticed that mode parameter (saying whether reveal or hide map) was not initialized. So the issue was completely random, occurring when uninitialized stack memory byte was 0.
Fixed in r1674
(0001137)
Tow (developer)
2010-07-20 09:24

> There is also a file - ACREDIT.SMK - which seems to have been last updated in the minute the bug happened (couple of minutes before the crashdump was created, after I saved the game). I'm not sure if this is relevant. Let me know if I should ignore it or keep attaching it in similar future situations.

There's no need, the file is irrelevant.
(0002124)
Zamolxis (viewer)
2011-11-01 20:42

Tested in 0.86 and confirmed as fixed.

- Issue History
Date Modified Username Field Change
2010-07-13 13:24 Zamolxis New Issue
2010-07-13 13:24 Zamolxis Status new => assigned
2010-07-13 13:24 Zamolxis Assigned To => Tow
2010-07-13 13:24 Zamolxis File Added: 2010-07-13_Cartographer.jpg
2010-07-13 13:24 Zamolxis Issue generated from: 0000010
2010-07-13 13:24 Zamolxis Relationship added related to 0000010
2010-07-13 13:25 Zamolxis Description Updated View Revisions
2010-07-14 01:56 Tow Assigned To Tow => Zamolxis
2010-07-14 01:56 Tow Assigned To Zamolxis => Tow
2010-07-14 02:42 Tow Note Added: 0001107
2010-07-14 02:43 Tow Note Edited: 0001107 View Revisions
2010-07-14 08:12 Zamolxis Reproducibility always => sometimes
2010-07-14 08:30 Zamolxis Note Added: 0001109
2010-07-14 08:30 Zamolxis File Added: Cartographer+Test.h3m
2010-07-14 08:31 Zamolxis File Added: 2010-07-13_CartographerIssue.7z
2010-07-14 08:34 Zamolxis Note Edited: 0001109 View Revisions
2010-07-14 08:37 Zamolxis Note Edited: 0001109 View Revisions
2010-07-20 09:20 Tow Note Added: 0001136
2010-07-20 09:20 Tow Status assigned => resolved
2010-07-20 09:20 Tow Fixed in Version => 0.89
2010-07-20 09:20 Tow Resolution open => fixed
2010-07-20 09:24 Tow Note Added: 0001137
2011-11-01 20:42 Zamolxis Note Added: 0002124
2011-11-01 20:42 Zamolxis Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2020 MantisBT Team
Hosting provided by DigitalOcean